Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.localsearch
Class DefaultLocalSearchSolver

    java.lang.Object
      org.drools.planner.core.solver.AbstractSolver
          org.drools.planner.core.localsearch.DefaultLocalSearchSolver

All Implemented Interfaces:
  LocalSearchSolver, LocalSearchSolverLifecycleListener, Solver

    public class DefaultLocalSearchSolver

extends AbstractSolver
implements LocalSearchSolver, LocalSearchSolverLifecycleListener

Default implementation of `LocalSearchSolver`.

Field Summary
`protected boolean` | `assertStepScoreIsUncorrupted`
`protected Decider` | `decider`
`protected LocalSearchSolverScope` | `localSearchSolverScope`
`protected Termination` | `termination`

Fields inherited from class org.drools.planner.core.solver.AbstractSolver
`bestSolutionRecaller, logger, randomSeed, solverEventSupport, startingSolutionInitializer, terminatedEarly`

Constructor Summary
`DefaultLocalSearchSolver()`

Method Summary
`void` | `beforeDeciding(LocalSearchStepScope localSearchStepScope)`
`AbstractSolverScope` | `getAbstractSolverScope()`
`Decider` | `getDecider()`
`void` | `setAssertStepScoreIsUncorrupted(boolean assertStepScoreIsUncorrupted)`
`void` | `setDecider(Decider decider)`
`void` | `setTermination(Termination termination)`
`protected void` | `solveImplementation()`
`void` | `solvingEnded(LocalSearchSolverScope localSearchSolverScope)`
`void` | `solvingStarted(LocalSearchSolverScope localSearchSolverScope)`
`void` | `stepDecided(LocalSearchStepScope localSearchStepScope)`
`void` | `stepTaken(LocalSearchStepScope localSearchStepScope)`

Methods inherited from class org.drools.planner.core.solver.AbstractSolver
`addEventListener, getBestSolution, getScoreDefinition, getStartingSolutionInitializer, getTimeMillisSpend, isTerminatedEarly, removeEventListener, setBestSolutionRecaller, setRandomSeed, setRuleBase, setScoreCalculator, setScoreDefinition, setStartingSolution, setStartingSolutionInitializer, solve, solvingStarted, terminateEarly`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.planner.core.Solver
`addEventListener, getBestSolution, getScoreDefinition, getTimeMillisSpend, isTerminatedEarly, removeEventListener, setStartingSolution, solve, terminateEarly`

Field Detail

### termination

    protected Termination termination

### decider

    protected Decider decider

### assertStepScoreIsUncorrupted

    protected boolean assertStepScoreIsUncorrupted

### localSearchSolverScope

    protected LocalSearchSolverScope localSearchSolverScope

Constructor Detail

### DefaultLocalSearchSolver

    public DefaultLocalSearchSolver()

Method Detail

### setTermination

    public void setTermination(Termination termination)

### getDecider

    public Decider getDecider()

### setDecider

    public void setDecider(Decider decider)

### setAssertStepScoreIsUncorrupted

    public void setAssertStepScoreIsUncorrupted(boolean assertStepScoreIsUncorrupted)

### getAbstractSolverScope

    public AbstractSolverScope getAbstractSolverScope()

  Specified by:
    `getAbstractSolverScope` in class `AbstractSolver`

### solveImplementation

    protected void solveImplementation()

  Specified by:
    `solveImplementation` in class `AbstractSolver`

### solvingStarted

    public void solvingStarted(LocalSearchSolverScope localSearchSolverScope)

  Specified by:
    `solvingStarted` in interface `LocalSearchSolverLifecycleListener`

### beforeDeciding

    public void beforeDeciding(LocalSearchStepScope localSearchStepScope)

  Specified by:
    `beforeDeciding` in interface `LocalSearchSolverLifecycleListener`

### stepDecided

    public void stepDecided(LocalSearchStepScope localSearchStepScope)

  Specified by:
    `stepDecided` in interface `LocalSearchSolverLifecycleListener`

### stepTaken

    public void stepTaken(LocalSearchStepScope localSearchStepScope)

  Specified by:
    `stepTaken` in interface `LocalSearchSolverLifecycleListener`

### solvingEnded

    public void solvingEnded(LocalSearchSolverScope localSearchSolverScope)

  Specified by:
    `solvingEnded` in interface `LocalSearchSolverLifecycleListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JBoss Inc.. All Rights Reserved.